************
* PCPRMENU *
************
* Met dit programma kunnen we produktienummers toevoegen, verwijderen,
* wijzigen en selecteren. Op elk willekeurig moment is er maar 1 
* produktienummer in gebruik, of geen, in welk geval de variabele
* CUR:PROD een '*' bevat. De variabele CUR:PROD bevat, indien er een
* produktienummer is geselecteerd, alleen de twee nummers, en geen '/'.
*
STORE "." TO choice
DO WHILE choice # "E"
   ERASE
   @  1,10 SAY "--READER'S DIGEST PRODUCTION ADMINISTRATION CONTROL SYSTEM--"
   @  2,10 SAY "--------------------- PRODUKTIENUMMERS ---------------------"
   @  4, 0 SAY "PRODUKTIENUMMER"
   IF cur:prod = "*"
      @ 4,16 SAY "GEEN"
   ELSE 
      @  4,16 SAY $(cur:prod,1,2) + "/" + $(cur:prod,3,5)
   ENDIF
   @  7,14 SAY "U KUNT NU EEN PRODUKTIENUMMER TOEVOEGEN, SELECTEREN,"
   @  8,14 SAY "WIJZIGEN OF HET VERWIJDEREN UIT HET PACS-SYSTEEM."
   @ 10,25 SAY "1- SELECTEREN VOOR VERWERKING"
   @ 11,25 SAY "2- TOEVOEGEN AAN HET PACS-SYSTEEM"
   @ 12,25 SAY "3- WIJZIGEN VAN HET HUIDIGE PRODUKTIENUMMER"
   @ 13,25 SAY "4- VERWIJDEREN UIT HET PACS-SYSTEEM"
   @ 14,25 SAY "5- AFDRUKKEN BEKENDE PRODUKTIENUMMERS"
   @ 15,25 SAY "E- EINDE"
   @ 17,28 SAY "UW KEUZE SVP"
   @ 22,58 SAY "HUIDIGE DATUM"
   @ 22,72 SAY sysdate
   STORE "." TO choice
   DO WHILE .NOT. (choice $ "12345E")
      STORE "." TO choice
      @ 17,41 GET choice PICTURE "!"
      READ
      CLEAR GETS
      IF (choice $ "34") .AND. (cur:prod = "*")
         STORE "." TO akk
         @ 22,0 SAY "GEEN PRODUKTIENUMMER GESELECTEERD, DRUK RETURN " GET akk
         READ
         @ 22,0 SAY "                                                  "         STORE "-" TO choice
      ENDIF
   ENDDO
   IF (choice # "E")
      @ 7,0
      @ 8,0
      @ 9,0
      @ 10,0
      @ 11,0
      @ 12,0 
      @ 13,0
      @ 14,0
      @ 15,0
      @ 16,0
      @ 17,0
      @ 18,0
      @ 19,0
      @ 20,0
      @ 21,0
      DO CASE
         CASE choice = "1"
              DO pcprsl 
              STORE "-" TO choice
         CASE choice = "2"
              DO pcprad 
              STORE "-" TO choice
         CASE choice = "3" .AND. cur:prod # '*' 
              DO pcprch  
              STORE "-" TO choice
         CASE choice = "4" .AND. cur:prod # '*'
              DO pcprdl 
              STORE "-" TO choice
         CASE choice = "5"
              DO pcprli 
              STORE "-" TO choice
      ENDCASE
   ENDIF
ENDDO
RETURN
*
* EINDE PROGRAMMA
*
